//
// Irrlicht Wrapper for Imperative Languages
// Frank Dodd (2006)
//
// This wrapper DLL encapsulates a sub-set of the features of the powerful
// Irrlicht 3D Graphics Engine exposing the Object Oriented architecture and
// providing a functional 3D SDK for languages that are not object oriented.
//
// This source was created with the help of the great examples in the Irrlicht
// SDK and the excellent Irrlicht documentation. This software was developed
// using the GCC compiler and Code::Blocks IDE
//

#ifdef BUILD_DLL
    #define DLL_EXPORT __declspec(dllexport)
#else
    #define DLL_EXPORT
#endif

/* ////////////////////////////////////////////////////////////////////////////
includes
*/
#include <irrKlang.h>


/* ////////////////////////////////////////////////////////////////////////////
irrlicht namespaces
*/
using namespace irrklang;


/* ////////////////////////////////////////////////////////////////////////////
Constant Definitions
*/


/* ////////////////////////////////////////////////////////////////////////////
structure and class declarations
*/
