//
// IrrKlang Wrapper for Imperative Languages
// Frank Dodd (2006-2009)
// version 0.1
//
// This wrapper DLL encapsulates a sub-set of the features of the powerful
// IrrKlang 3D Audio Engine exposing the Object Oriented architecture and
// providing a functional Audio SDK for languages that are not object oriented.
//
// This software was developed using the GCC compiler and Code::Blocks IDE
//

#include <windows.h>

BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    switch (fdwReason)
    {
        case DLL_PROCESS_ATTACH:
            // attach to process
            // return FALSE to fail DLL load
            break;

        case DLL_PROCESS_DETACH:
            // detach from process
            break;

        case DLL_THREAD_ATTACH:
            // attach to thread
            break;

        case DLL_THREAD_DETACH:
            // detach from thread
            break;
    }
    return TRUE; // succesful
}
